<div id="page" class="clearfix">

  <div id="header">
    <div id="header-wrapper" class="clearfix">

      <div id="header-first">
        <?php if ($logo): ?>
          <div id="logo">
            <a href="<?php print $base_path ?>"
               title="<?php print t('Home') ?>">
              <img src="<?php print $logo ?>" alt="<?php print t('Home') ?>"/>
            </a>
          </div>
        <?php endif; ?>
        <?php if ($site_name): ?>
          <h1>
            <a href="<?php print $base_path ?>"
               title="<?php print t('Home'); ?>">
              <?php print $site_name; ?>
            </a>
          </h1>
        <?php endif; ?>
        <?php if ($site_slogan): ?>
          <span id="slogan"><?php print $site_slogan; ?></span>
        <?php endif; ?>
      </div>
      <!-- /header-first -->

      <div id="header-middle">
        <?php if ($page['header_middle']): ?>
          <?php print render($page['header_middle']); ?>
        <?php endif; ?>
      </div>
      <!-- /header-middle -->

      <div id="header-last">
        <?php if ($page['header_last']): ?>
          <?php print render($page['header_last']); ?>
        <?php endif; ?>
      </div>
      <!-- /header-last -->

    </div>
    <!-- /header-wrapper -->

    <div id="header-bottom" class="clearfix">
      <?php if ($main_menu): ?>
        <div id="main-menu">
          <?php print $main_menu_tree; ?>
        </div><!-- /main_menu -->
      <?php endif; ?>
    </div>
    <!-- /header-bottom -->
  </div>
  <!-- /header -->

  <div id="preface">
    <?php if ($page['preface_first'] || $page['preface_middle'] || $page['preface_last'] || $page['highlighted']): ?>
      <div id="preface-wrapper" class="<?php print $prefaces; ?> clearfix">
        <?php if ($page['highlighted']): ?>
          <div id="mission">
            <?php print render($page['highlighted']); ?>
          </div>
        <?php endif; ?>

        <?php if ($page['preface_first']): ?>
          <div id="preface-first" class="column">
            <?php print render($page['preface_first']); ?>
          </div>
          <!-- /preface-first -->
        <?php endif; ?>

        <?php if ($page['preface_middle']): ?>
          <div id="preface-middle" class="column">
            <?php print render($page['preface_middle']); ?>
          </div>
          <!-- /preface-middle -->
        <?php endif; ?>

        <?php if ($page['preface_last']): ?>
          <div id="preface-last" class="column">
            <?php print render($page['preface_last']); ?>
          </div><!-- /preface-last -->
        <?php endif; ?>
      </div>
      <!-- /preface-wrapper -->
    <?php endif; ?>
  </div>
  <!-- /preface -->

  <div id="main">
    <div id="main-wrapper" class="clearfix">
      <?php if ($page['sidebar_first']): ?>
        <div id="sidebar-first">
          <?php print render($page['sidebar_first']); ?>
        </div>
        <!-- /sidebar-first -->
      <?php endif; ?>

      <div id="content-wrapper">
        <?php if ($page['help']): ?>
          <?php print render($page['help']); ?>
        <?php endif; ?>
        <?php if ($messages): ?>
          <?php print $messages; ?>
        <?php endif; ?>

        <?php if ($breadcrumb): ?>
          <div id="breadcrumb_over">
            <div id="breadcrumb_image"></div>
            <div id="breadcrumb">
              <?php print $breadcrumb; ?></div>
          </div>
          <!-- /breadcrumb -->
        <?php endif; ?>

        <?php if ($page['content_top']): ?>
          <div id="content-top">
            <?php print render($page['content_top']); ?>
          </div>
          <!-- /content-top -->
        <?php endif; ?>

        <div id="content">
          <?php if ($tabs): ?>
            <div id="content-tabs">
              <?php print render($tabs); ?>
            </div>
          <?php endif; ?>

          <?php if (($page['sidebar_first']) && ($page['sidebar_second'])) : ?>
            <?php if ($page['sidebar_second']): ?>
              <div id="sidebar-second">
                <?php print render($page['sidebar_second']); ?>
              </div>
              <!-- /sidebar_second -->
            <?php endif; ?>
          <?php endif; ?>

          <div id="content-inner">
            <?php if ($title): ?>
              <h1 class="title"><?php print $title; ?></h1>
            <?php endif; ?>
            <div id="content-content">
              <?php print render($page['content']); ?>
            </div>
          </div>
          <!-- /content-inner -->
        </div>
        <!-- /content -->

        <?php if ($page['content_bottom']): ?>
          <div id="content-bottom">
            <?php print render($page['content_bottom']); ?>
          </div>
          <!-- /content-bottom -->
        <?php endif; ?>
      </div>
      <!-- /content-wrapper -->

      <?php if ((!$page['sidebar_first']) && ($page['sidebar_second'])) : ?>
        <?php if ($page['sidebar_second']): ?>
          <div id="sidebar-second">
            <?php print render($page['sidebar_second']); ?>
          </div>
          <!-- /sidebar_second -->
        <?php endif; ?>
      <?php endif; ?>

      <?php if ($page['postscript_first'] || $page['postscript_middle'] || $page['postscript_last']): ?>
        <div id="postscript-wrapper"
             class="<?php print $postscripts; ?> clearfix">
          <?php if ($page['postscript_first']): ?>
            <div id="postscript-first" class="column">
              <?php print render($page['postscript_first']); ?>
            </div>
            <!-- /postscript-first -->
          <?php endif; ?>

          <?php if ($page['postscript_middle']): ?>
            <div id="postscript-middle" class="column">
              <?php print render($page['postscript_middle']); ?>
            </div>
            <!-- /postscript-middle -->
          <?php endif; ?>

          <?php if ($page['postscript_last']): ?>
            <div id="postscript-last" class="column">
              <?php print render($page['postscript_last']); ?>
            </div>
            <!-- /postscript-last -->
          <?php endif; ?>
        </div>
        <!-- /postscript-wrapper -->
      <?php endif; ?>

      <?php if ($page['footer_top'] || $page['footer']): ?>
        <div id="footer" class="clearfix">
          <?php if ($page['footer_top']): ?>
            <?php print render($page['footer_top']); ?>
          <?php endif; ?>
          <?php if ($page['footer']): ?>
            <?php print render($page['footer']); ?>
          <?php endif; ?>
        </div>
        <!-- /footer -->
      <?php endif; ?>

    </div>
    <!-- /main-wrapper -->
  </div>
  <!-- /main -->
</div>
<!-- /page -->
